Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QValidator.State

    java.lang.Object
      java.lang.Enum<QValidator.State>
          com.trolltech.qt.gui.QValidator.State

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QValidator.State>

Enclosing class:
  QValidator

    public static enum QValidator.State

extends java.lang.Enum<QValidator.State>
implements QtEnumerator

This enum type defines the states in which a validated string can exist.

Enum Constant Summary
`Acceptable` The string is acceptable as a final result; i.e. it is valid.
`Intermediate` The string is a plausible intermediate value during editing.
`Invalid` The string is clearly invalid.

Method Summary
`static QValidator.State` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QValidator.State` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QValidator.State[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Invalid

    public static final QValidator.State Invalid

  The string is clearly invalid.

### Intermediate

    public static final QValidator.State Intermediate

  The string is a plausible intermediate value during editing.

### Acceptable

    public static final QValidator.State Acceptable

  The string is acceptable as a final result; i.e. it is valid.

Method Detail

### values

    public static final QValidator.State[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QValidator.State c : QValidator.State.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QValidator.State valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QValidator.State resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD